Bug 702595 - I18n 'ago' should be parameterized
I18n 'ago' should be parameterized
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-06 05:51 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-05-06 05:51:24 EDT
Ui formatter (org.rhq.enterprise.gui.coregui.client.util.GwtRelativeDurationConverter#format )
uses:

   } else {
            // <time> "ago"
            result = getRelativeTimeAgo(eventMillis) + " " + MSG.common_label_ago();

Which results in e.g. " 2 minutes ago".

This is not valid for German or French, where it would be

Vor 2 Minuten
I'y a 2 Minutes

Dunno about the requirements for Japanese - Minamoto-san, can you chime in please?
Comment 1 Heiko W. Rupp 2011-05-06 10:16:04 EDT
Also applies to :

repeat every XX - Alle XX wiederholen
schedule using XX - Mittels XX planen
Comment 2 Heiko W. Rupp 2012-03-21 15:51:38 EDT
master dcf10788231
Comment 3 Heiko W. Rupp 2013-09-01 06:10:39 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.